local sounds = require("__base__/prototypes/entity/sounds")
local projectile_center = {-0, -1.2}
local projectile_creation_distance = 0.5
data:extend({
  {
    type = "item-with-entity-data",
    name = "AuF2",
    icon = "__ArtillerieTank_0.0.1__/graphics/icons/AuF2.png",
    icon_size = 64, icon_mipmaps = 4,
    subgroup = "transport",
    order = "b[personal-transport]-b[tank]",
    place_result = "AuF2",
    stack_size = 1
  },
  {
    type = "gun",
    name = "artillerie-cannon",
    icon = "__base__/graphics/icons/artillery-turret.png",
    icon_size = 64, icon_mipmaps = 4,
    flags = {"hidden"},
    subgroup = "gun",
    order = "z[tank]-a[cannon]",
    rotating_sound = { sound = { filename = "__base__/sound/fight/artillery-rotation-loop.ogg", volume = 0.6 }},
    rotating_stopped_sound = { filename = "__base__/sound/fight/artillery-rotation-stop.ogg" },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "artillery-shell",
      cooldown = 90,
      movement_slow_down_factor = 0,
      projectile_creation_distance = projectile_creation_distance,
      projectile_center = projectile_center,
      range = 500,
      sound = sounds.tank_gunshot
    },
    stack_size = 1
  },
})
data.raw["utility-constants"].default.bonus_gui_ordering["ironclad-mortar"] = "k-b"
